Bug 613707 - hplip-common subpackage must also include a copy of license text
Summary: hplip-common subpackage must also include a copy of license text
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hplip
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-12 15:49 UTC by Jiri Popelka
Modified: 2011-05-19 13:12 UTC (History)
4 users (show)

(edit)
A copy of the license text has been added to the hplip-common sub-package.
Clone Of:
(edit)
Last Closed: 2011-05-19 13:12:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0574 normal SHIPPED_LIVE hplip bug fix update 2011-05-18 17:57:00 UTC

Description Jiri Popelka 2010-07-12 15:49:50 UTC
COPYING file is only included in base package, i.e. hplip.
According to Fedora Licensing Guidelines
the -common subpackage must also include a copy of license text.


From
http://lists.fedoraproject.org/pipermail/devel/2010-July/138487.html
Q. My package generates a foo and foo-libs package. foo has the license
files, and foo depends on foo-libs, but foo-libs doesn't have any
license files in it. What should I do?
A. You have two options here. You can either move the license texts from
foo to foo-libs or duplicate the license texts in both packages. Moving
the license texts is an acceptable option in this case because it
ensures that if foo-libs is installed, the license texts are present,
and if foo is installed, it will pull in foo-libs, thus, the license
texts are present.



Additional info:
http://lists.fedoraproject.org/pipermail/devel/2010-July/138487.html
http://lists.fedoraproject.org/pipermail/devel/2010-July/138546.html
http://lists.fedoraproject.org/pipermail/scm-commits/2010-July/460632.html

Comment 3 Tim Waugh 2011-01-12 13:19:19 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A copy of the license text has been added to the hplip-common sub-package.

Comment 6 errata-xmlrpc 2011-05-19 13:12:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0574.html


Note You need to log in before you can comment on or make changes to this bug.